# TA1: Iron Age

TA1 is about mining sufficient ores and producing charcoal with simple tools and equipment, so that TA2 machines can be manufactured and operated.

Of course, for an iron age there must also be iron and not just steel, as in "Minetest Game". As a result, some recipes have been changed so that iron has to be produced first and then steel later.

The durability of the tools is based on the ages and therefore does not correspond to the original Minetest game.
The durability / hardness for an axe, for example:

* Bronze: 20
* Steel: 30

[techage_ta1|image]


## Charcoal Pile (charcoal burner)

You need the Charcoal Pile to make charcoal. Charcoal is required for the melting furnace, but also, for example, in TA2 for the steam engine.

Building instructions (see also plan):

- Build a 5x5 area of ​​dirt
- Place a lighter in the middle
- Build a 3x3x3 cube above it out of wood
- Cover everything with a layer of earth to form a 5x5x5 cube
- Leave a hole to the lighter
- Light the lighter and immediately close the hole with a block of wood and earth
- If you have done everything correctly, the coal burner will start smoking after a few seconds
- Only open the charcoal burner when the smoke has disappeared (approx. 20 min)

Then you can remove the 9 charcoal blocks and refill the Charcoal Pile.

[coalpile|plan]


## Melting Furnace

You need the melting furnace, for example, to melt iron and other ores in the melting pot. There are different recipes that require different temperatures. The higher the melting tower, the hotter the flame. A height of 11 blocks above the base plate is for all recipes, but a burner with this height also requires more charcoal.

Building instructions (see also plan):

* Build a stone tower (cobble) with a 3x3 base (7-11 blocks high)
* Leave a hole open on one side at the bottom
* Put a lighter in it
* Fill the tower with charcoal from the top to the top
* Light the lighter through the hole
* Place the melting pot in the flame over the tower
  (one block above the flame)
* To stop the burner, temporarily close the hole with an earth block, for example.

The melting pot has its own menu of recipes and an inventory where you have to put the ores in.

[coalburner|plan]


## Ores and Tools

TA1 has its own tools such as hammer and gravel sieve, but the Minecart Hopper can also be used.

[ta1_gravelsieve|image]


### Hammer

The TA1 hammer can be used to knock/dig stone in a mine, but also to smash cobble to gravel. The hammer is available in different versions and therefore different properties: bronze, steel, brass and diamond.

[hammer|image]


### Gravel Sieve

Ores can be sifted from the gravel with the gravel sieve. To do this, click on the sieve with the gravel. The sifted gravel and ores fall out below.

In order not to stand at the sieve for hours, sieving can be automated with the hopper.

[ta1_gravelsieve|image]


### Hopper

The hopper from the "Minecart" mod is primarily used for loading and unloading Minecarts. He sucks in items from above and passes them on to the right. Therefore, when placing the hopper, pay attention to the direction of dispensing.

The hopper can also pull items from boxes (chest), provided the box is next to or on the hopper.

The hopper can also put items in boxes if the box is next to the hopper.

[ta1_hopper|image]


### Gravel seven with the hopper

With the help of two boxes, two hoppers and a gravel sieve, the sieving process can be automated. The plan on the right shows the structure.

Make sure that the boxes are "chest_locked", otherwise someone will steal the valuable ores from the box below.

[hoppersieve|plan]


### Meridium

TA1 has its own metal alloy meridium. Meridium ingots can be made with the coal burner from steel and mesecons crystals. Meridium glows in the dark. Tools made of Meridium also light up and are therefore very helpful in underground mining.

[meridium|image]
